> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/buildings-and-infrastructure-portfolio/os-open-linked-identifiers/os-open-linked-identifiers-technical-specification/product-version-information-file-json.md).

# Product Version Information file (JSON)

The OS Open Linked Identifier data package also contains Product Version Information files. These are contained inside each relationship zip package as JavaScript Object Notation (JSON) format.

JSON is an open-standard file and data interchange format that uses human-readable text to store and transmit data objects consisting of attribute-value pairs and array data types.

The general structure of the metadata JSON is detailed below:

## filename

The name of the Linked\_ID CSV file

* **Type**: text
* **Multiplicity**: \[1]

## productPublicationDate

The product publication date.

* **Type**: date
* **Format**: YYYY/MM
* **Multiplicity**: \[1]

## productPublicationName

The Linked\_ID Epoch Number that the JSON file refers to. (In the format “Epoch {number}”.)

* **Type**: text
* **Multiplicity**: \[1]

## Identifier1Source

* **Type**: Object
* **Multiplicity**: \[1]

### Identifier1Source.productName

The product name of the source product for identifier 1.

* **Type**: text
* **Multiplicity**: \[1]

### Identifier1Source.productPublicationDate

The publication date of the source product for identifier 1.

* **Type**: date
* **Format**: YYYY/MM
* **Multiplicity**: \[1]

### Identifier1Source.productPublicationName

The epoch number of the source product for identifier 1. If provided, in the format “Epoch {number}”.

* **Type**: text
* **Multiplicity**: \[0..1]
* **Notes**: Not supplied if null value.

### Identifier1Source.featureType

The feature type of the source for identifier 1. Can be one of:

* BLPU
* Road
* RoadLink
* Street
* TopographicArea
* **Type**: text
* **Multiplicity**: \[1]

### Identifier1Source.identifierType

The identifier type of the source for identifier 1. Can be one of:

* GUID
* TOID
* UPRN
* USRN
* **Type**: text
* **Multiplicity**: \[1]

## Identifier2Source

* **Type**: Object
* **Multiplicity**: \[1]

### Identifier2Source.productName

The product name of the source product for identifier 2.

* **Type**: text
* **Multiplicity**: \[1]

### Identifier2Source.productPublicationDate

The publication date of the source product for identifier 2.

* **Type**: date
* **Format**: YYYY/MM
* **Multiplicity**: \[1]

### Identifier2Source.productPublicationName

The epoch number of the source product for identifier 2. If provided, in the format “Epoch {number}”.

* **Type**: text
* **Multiplicity**: \[0..1]
* **Notes**: Not supplied if null value.

### Identifier2Source.featureType

The feature type of the source for identifier 2. Can be one of:

* BLPU
* Road
* RoadLink
* Street
* TopographicArea
* **Type**: text
* **Multiplicity**: \[1]

### Identifier2Source.identifierType

The identifier type of the source for identifier 2. Can be one of:

* GUID
* TOID
* UPRN
* USRN
* **Type**: text
* **Multiplicity**: \[1]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/buildings-and-infrastructure-portfolio/os-open-linked-identifiers/os-open-linked-identifiers-technical-specification/product-version-information-file-json.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
